import CryptoJS from "crypto-js";

// 登录&&保存密码至本地
export function setLogin(
  data: any,
  params: {
    login_type: number;
    phone?: string;
    email?: string;
    pwd: string;
  },
  isAutoLogin: boolean
) {
  // 0：手机号+密码 1:手机号+验证码 2:邮箱+密码 3：邮箱验+证码
  if (params && isAutoLogin) {
    localStorage.ciphertext = CryptoJS.AES.encrypt(
      JSON.stringify(params),
      "secret key 123"
    );
  }
  // 清除之前保存的本地密码
  if (!isAutoLogin && localStorage.ciphertext) {
    localStorage.removeItem("ciphertext");
  }
  // 用于引导页
  if (!localStorage.getItem("bootPage"))
    localStorage.setItem("bootPage", "show"); // 如果不存在，就存入本地存储
  // 保存token至本地
  sessionStorage.setItem(`user`, JSON.stringify(data));
}

// 获取token
export function getLoginCode() {
  if (
    sessionStorage.getItem("user") &&
    JSON.parse(String(sessionStorage.getItem("user"))).token
  ) {
    return JSON.parse(String(sessionStorage.getItem("user"))).token;
  } else {
    return null;
  }
}
